Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.xml
Class XMLSchemaSyntax

    java.lang.Object
      ix.util.xml.XMLSyntax
          ix.util.xml.XMLSchemaSyntax

    public class XMLSchemaSyntax

extends XMLSyntax

Describes the (XML) syntax of I-X data objects as an XML schema.

Nested Class Summary
`static class` | `XMLSchemaSyntax.Schema` An XML schema.

Field Summary
`static org.jdom.Namespace` | `schemaNamespace`

Fields inherited from class ix.util.xml.XMLSyntax
`attributeFieldP, classSyntax, inheritance, xmlt`

Constructor Summary
`XMLSchemaSyntax()`
`XMLSchemaSyntax(XMLTranslator xmlt)`

Method Summary
`static java.lang.String` | `getSimpleType(java.lang.Class c)` Maps classes to simple schema types.
`static void` | `main(java.lang.String[] argv)` Outputs a schema for I-X plans or for the class specified by the "root" parameter.
`org.jdom.Element` | `makeElement(java.lang.String name, org.jdom.Namespace namespace, java.lang.String[][] attributes)`
`XMLSchemaSyntax.Schema` | `makeSchema(java.lang.Class rootClass)`
`org.jdom.Element` | `makeXsdElement(java.lang.String name)`
`org.jdom.Element` | `makeXsdElement(java.lang.String name, java.lang.String[][] attributes)`

Methods inherited from class ix.util.xml.XMLSyntax
`attributeFields, collectListofClasses, describeClass, elementFields, getClassDescr, getConstraintSyntaxList, getElementName, getElementName, getElementName, getEnumerationValues, getNTName, getNTName, getUpperName, getUpperName, relevantClasses, structTextDescription, walkStructFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaNamespace

    public static final org.jdom.Namespace schemaNamespace

Constructor Detail

### XMLSchemaSyntax

    public XMLSchemaSyntax()

### XMLSchemaSyntax

    public XMLSchemaSyntax(XMLTranslator xmlt)

Method Detail

### makeSchema

    public XMLSchemaSyntax.Schema makeSchema(java.lang.Class rootClass)

### getSimpleType

    public static java.lang.String getSimpleType(java.lang.Class c)

  Maps classes to simple schema types.

### makeElement

    public org.jdom.Element makeElement(java.lang.String name,
                                        org.jdom.Namespace namespace,
                                        java.lang.String[][] attributes)

### makeXsdElement

    public org.jdom.Element makeXsdElement(java.lang.String name,
                                           java.lang.String[][] attributes)

### makeXsdElement

    public org.jdom.Element makeXsdElement(java.lang.String name)

### main

    public static void main(java.lang.String[] argv)

  Outputs a schema for I-X plans or for the class specified by the "root" parameter.

  See Also:
    `Parameters.getParameter(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD